Skip to main content
GET
/
roles
/
{role}
/
restrictedfeatures
List Restricted Features
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/roles/{role}/restrictedfeatures \
  --header 'apikey: <api-key>'
{
  "data": [
    {
      "title": "Delete Group",
      "description": "Allows logged-in user to delete a group.",
      "key": "u.deleteGroup",
      "path": "/v3/groups/{{guid}}",
      "createdAt": 1639448370
    },
    {
      "title": "List Users",
      "description": "Allows logged-in user to fetch the user list.",
      "key": "u.listUsers",
      "path": "/v3/users",
      "createdAt": 1639448370
    }
  ],
  "meta": {
    "pagination": {
      "total": 2,
      "count": 2,
      "per_page": 100,
      "current_page": 1,
      "total_pages": 1
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

role
string
required

A role for which features are restricted.

Response

200 - application/json

Lists Restricted Features

data
object[]
meta
object